WML::STD::TOC(1)

NAME
wml::std::toc - Table of Contents Generation

SYNOPSIS

 #use wml::std::toc [style={pre,nbsp,hspace}]
 <toc>
 <hN>...</hN>
 <toc_hN ...>...</toc_hN>

DESCRIPTION
This creates a table of contents which can be inserted at any point (even more than once) by the <toc> tag. The contents gets created out of all header tags ``<hN>'' where ``N'' also controls the indention in the table of contents.

Alternatively you can use the <toc_hN> tags to insert its body (can be empty!) at the current location and put its attribute information (or the body when no attributes are given) into the Table Of Contents as the <hN> tags do.

AUTHOR

 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES

 Internal: P1, P5
 External: --

SEEALSO
HTML <Hx> tags.